<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID"
              value="#{xdrsrcSimulatorManagerBean.extractIDFromInitialisation()}"/>
    <ui:define name="head">
        <h:outputStylesheet library="stylesheet" name="resultStyle.css"/>
    </ui:define>
    <ui:define name="body">
        <h1>#{updateDocumentSet.getTheNameOfThePage()}</h1>
        <h:form id="globalForm">
            <rich:messages globalOnly="true" styleClass="message"/>
            <s:div id="globalDiv">
                <gri:panel id="mainPanel">
                    <f:facet name="header">#{updateDocumentSet.getTheNameOfThePage()}</f:facet>
                    <s:div
                            rendered="#{xdrsrcSimulatorManagerBean.selectedAffinityDomain!= null and xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword.toLowerCase().contains('ihe')}">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToUpdateDocumentFr']} "/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.UsingTheTransaction']} #{xdrsrcSimulatorManagerBean.selectedTransaction.keyword}."
                                rendered="#{xdrsrcSimulatorManagerBean.selectedTransaction != null}"/>
                        <br/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} "/>
                        <br/>
                        <ul>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.SelectYourRepositoryConfigurationOrAddANewOneOnT']} "/>
                                <h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
                                <h:outputText value=". "/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheSubmissionSetThePatientIdOfT']} "/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.ClickOnExecuteButtonToSendTheDocumentsToTheSelec']}"/>
                            </li>
                        </ul>
                    </s:div>
                    <s:div
                            rendered="#{xdrsrcSimulatorManagerBean.selectedAffinityDomain== null}">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToUpdateDocumentFr_2']}"/>
                        <br/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.YouHaveToSelectFirstYourConfigurationAndYourAffi']}"/>
                        <br/>
                    </s:div>
                    <ui:include src="/simu/header.xhtml">
                        <ui:param name="divToRerender"
                                  value="messageConfigurationDiv"/>
                        <ui:param name="simuManager" value="#{updateDocumentSet}"/>
                        <ui:param name="diagramFile"
                                  value="/img/ITI57.png"/>
                        <ui:param name="sourceID"
                                  value="#{oid.getSourceOid(xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword)}"/>
                        <ui:param name="simulatorConfigurationName"
                                  value="#{messages['net.ihe.gazelle.xdstar.ITI57Simulator']}"/>
                        <ui:param name="displaySourceId" value="#{true}"/>
                        <ui:param name="displayhomeCommunityId" value="#{false}"/>
                    </ui:include>
                    <s:div id="messageConfigurationDiv">
                        <gri:panel rendered="#{updateDocumentSet.selectedConfiguration != null}">
                            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSMetadatas']}</f:facet>
                            <ui:param name="selectedTransaction"
                                      value="#{updateDocumentSet.selectedTransaction}"/>
                            <ui:param name="selectedAffinityDomain"
                                      value="#{updateDocumentSet.selectedAffinityDomain}"/>
                            <ui:param name="conf"
                                      value="#{updateDocumentSet.selectedConfiguration}"/>
                            <s:div rendered="#{updateDocumentSet.selectedAffinityDomain != null}">
                                #{updateDocumentSet.init(selectedAffinityDomain, selectedTransaction, conf)}
                                <table style="width:100%;">
                                    <tr valign="top">
                                        <td width="25%" valign="top">
                                            <f:subview id="subview_1">
                                                <ui:include src="/provide_register/pnr_tree.xhtml">
                                                    <ui:param name="pnrIHEManager" value="#{updateDocumentSet}"/>
                                                </ui:include>
                                            </f:subview>
                                        </td>
                                        <td width="75%">
                                            <s:div id="metadata_id">
                                                <f:subview id="subview_2">
                                                    <ui:include src="/provide_register/submissionSet.xhtml">
                                                        <ui:param name="pnrIHEManager" value="#{updateDocumentSet}"/>
                                                    </ui:include>
                                                </f:subview>
                                                <f:subview id="subview_3">
                                                    <ui:include src="/provide_register/xdsFolder.xhtml">
                                                        <ui:param name="pnrIHEManager" value="#{updateDocumentSet}"/>
                                                    </ui:include>
                                                </f:subview>
                                                <f:subview id="subview_4">
                                                    <ui:include src="documentEntry.xhtml"/>
                                                </f:subview>
                                            </s:div>
                                        </td>
                                    </tr>
                                </table>
                                <br/>
                                <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                                                   rendered="#{updateDocumentSet.selectedConfiguration != null}"
                                                   oncomplete="jq162('#previewMessagePanelIHE').modal('show');"
                                                   value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                                   render="previewForm"/>
                                <a4j:commandButton styleClass="gzl-btn-green"
                                                   rendered="#{updateDocumentSet.selectedConfiguration != null}"
                                                   value="#{messages['gazelle.xdrsrc.Execute']}"
                                                   actionListener="#{updateDocumentSet.sendUpdateDocumentSet()}"
                                                   render="messagesDiv"/>
                                <br/>
                                <br/>
                                <s:div id="messagesDiv">
                                    <gri:panel id="messagePanel"
                                               rendered="#{updateDocumentSet.displayResultPanel == true}">
                                        <f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
                                        #{allMessageManagerBean.listMessagesToDisplay()}
                                        <ui:include src="/messages/messageTable.xhtml">
                                            <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
                                        </ui:include>
                                    </gri:panel>
                                </s:div>
                                <f:subview id="subview_5">
                                    <ui:include src="/provide_register/pnr_modalPanel.xhtml">
                                        <ui:param name="pnrIHEManager" value="#{updateDocumentSet}"/>
                                    </ui:include>
                                </f:subview>
                            </s:div>
                        </gri:panel>
                    </s:div>

                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>